features:
  secondary:
    - name: "JUnit Report Improvements"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/junit_test_reports.html#junit-test-reports'
      reporter: jheimbuck_gl
      stage: verify
      categories:
        - 'Code Testing and Coverage'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/216267'
      description: |
        We introduced the JUnit report in [GitLab 12.5](https://about.gitlab.com/releases/2019/11/22/gitlab-12-5-released/#display-junit-error-details-in-merge-request) which provides a view of all JUnit tests that run in a pipeline. The wider community helped identify some readability and usability issues in the report interface that made it hard to use, especially when the names of tests or suites exceeded a specific number of characters. Additionally, performance of the page could be slow when parsing very large files or a large quantity of `junit.xml` files.
        Now, you're presented with a JUnit report that's easier to read and you can take confidence in the fact that the pipeline page will load quickly even when loading thousands of tests. This feature is no longer behind a feature flag by default and is enabled for all users on Gitlab.com.
